#
# spec file for package terminology
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           econnman
Version:	    1.0.0
Release:        3.8
License:        GPLv2
Summary:        EFL user interface for connman
Url:            http://enlightenment.org/
Group:          System/X11/Terminals
Source:         %{name}-%{version}.tar.gz
Patch:		desktop.patch
BuildRequires:  automake
BuildRequires:  python-elementary-devel >= 1.7.0
BuildRequires:  python-e_dbus-devel >= 1.7.0
BuildRequires:  python >= 2.7
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       connman
Requires:       efreet
Requires:       python-elementary >= 1.7.0
Requires:       python-e_dbus >= 1.7.0
Requires:       python-ecore >= 1.7.0
Requires:       python-evas >= 1.7.0
Requires:       python-edje >= 1.7.0
Requires:       python >= 2.7

%description
EFL user interface for connman (Connection Manager).

%prep
%setup -q -n %{name}-1
%patch -p1

%build
autoreconf -ifv
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%clean
%{?buildroot:rm -rf %{buildroot}}


%files
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_bindir}/*
%{_datadir}/econnman
%{_datadir}/applications/*

%changelog
* Sat Dec 22 2012       Andrew Wyatt <andrew@fuduntu.org> - Version:1.0.0-3.8
- Built for Fuduntu

* Thu Nov 29 2012 sleep_walker@suse.cz
- econnman needs efreet, not e17
* Thu Nov 29 2012 simon@simotek.net
- add missing python-edje dependency should this also go into python-elementry?
* Sat Nov  3 2012 simon@simotek.net
- add connman dependency
- add python-ecore and python-evas deps (these should go into python-elementry oneday.
* Sun Sep 23 2012 sleep_walker@suse.cz
- let there be econnman!
